Subject: Re: bug#74467: 31.0.50; org-protocol emacsclient.desktop change is not fully functional

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2024 22:01:56 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: Alexey Lebedeff <[email-masked]>, [email-masked]
> Date: Mon, 16 Dec 2024 19:34:01 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> One solution would be introducing separate  .desktop file
> >> (i.e. 'etc/emacsclient-org-protocol.desktop'), analoguous to the already
> >> existing 'etc/emacsclient-mail.desktop' (which uses '%u').
> >
> > Ihor, could you please look into this?
> 
> I am attaching an *untested* patch that implements a new .desktop file.

Thanks.  Let's see if someone objects.

> Note that an alternative could be handling file:// URIs by Emacs. Your call.

I thought we already did?

> > (Each time such issues pop up, I regret again that we agreed to
> > include these *.desktop files in our source tree, sigh.)
> 
> We are obliged to cooperate with other parts of GNU toolchain, don't we?

To some extent, yes.  This one goes waaaay beyond that.  I don't
understand why Emacs must come with these files, instead of the
desktop folks developing and keeping them up to date.  There's nothing
specific to Emacs in these files, just a lot of XDG and shell
trickery.